Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Log4j 1.2.14
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.log4j.helpers
Class ThreadLocalMap

    java.lang.Object
      |
      +--java.lang.ThreadLocal
            |
            +--java.lang.InheritableThreadLocal
                  |
                  +--org.apache.log4j.helpers.ThreadLocalMap

public final class ThreadLocalMap
extends InheritableThreadLocal

`ThreadLocalMap` extends `InheritableThreadLocal` to bequeath a copy of the hashtable of the MDC of the parent thread.

Since:
  1.2
Author:
  Ceki Gülcü

Constructor Summary
`ThreadLocalMap()`

Method Summary
`Object` | `childValue(Object parentValue)`

Methods inherited from class java.lang.InheritableThreadLocal
`get, set`

Methods inherited from class java.lang.ThreadLocal
`initialValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ThreadLocalMap

    public ThreadLocalMap()

Method Detail

### childValue

    public final Object childValue(Object parentValue)

  Overrides:
    `childValue` in class `InheritableThreadLocal`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Log4j 1.2.14
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2000-2005 Apache Software Foundation.